/*
 * System Interface Library for games
 * Copyright (c) 2007-2019 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/shader.h: Internal header for shader management.
 */

#ifndef SIL_SRC_SHADER_H
#define SIL_SRC_SHADER_H

#include "SIL/shader.h"  // Include the public header.

/*************************************************************************/
/*************************************************************************/

/* Number of vertex shader attributes, for sizing arrays. */
#define SHADER_ATTRIBUTE__NUM  (SHADER_ATTRIBUTE_COLOR + 1)

/*************************************************************************/
/*************************************************************************/

#endif  // SIL_SRC_SHADER_H
